package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(temp_live_teacher_card):
 */
@ApiModel(value = "TempLiveTeacherCard对象", description = "老师名片信息对象")
public class TempLiveTeacherCard {

	@ApiModelProperty("id ")
	private Integer id;

	@ApiModelProperty("老师id ")
	private Integer userId;

	@ApiModelProperty("老师名称 ")
	private String username;

	@ApiModelProperty("头像地址 ")
	private String avatar;

	@ApiModelProperty("个人介绍")
	private String introduction;

	@ApiModelProperty("曲目名称")
	private String musicContent;

	@ApiModelProperty("声部id（单个声部）")
	private String subjectId;

	@ApiModelProperty("级别 one 一级 two 二级 three 三级")
	private String level;

	@ApiModelProperty("群聊id")
	private String imGroupId;

	@ApiModelProperty("直播商品id")
	private Integer liveGoodsId;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	@ApiModelProperty("是否推荐级别")
	private Boolean recommendLevelFlag;

	@ApiModelProperty("是否已经加入")
	private Boolean joinFlag;

	@ApiModelProperty(value = "学生id")
	private Integer studentId;

	@ApiModelProperty("声部名称")
	private String subjectName;

	public void setId(Integer id){
		this.id = id;
	}

	public Integer getId(){
		return this.id;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}

	public Integer getUserId(){
		return this.userId;
	}

	public void setAvatar(String avatar){
		this.avatar = avatar;
	}

	public String getAvatar(){
		return this.avatar;
	}

	public void setIntroduction(String introduction){
		this.introduction = introduction;
	}

	public String getIntroduction(){
		return this.introduction;
	}

	public String getMusicContent() {
		return musicContent;
	}

	public void setMusicContent(String musicContent) {
		this.musicContent = musicContent;
	}

	public void setSubjectId(String subjectId){
		this.subjectId = subjectId;
	}

	public String getSubjectId(){
		return this.subjectId;
	}

	public void setLevel(String level){
		this.level = level;
	}

	public String getLevel(){
		return this.level;
	}

	public void setImGroupId(String imGroupId){
		this.imGroupId = imGroupId;
	}

	public String getImGroupId(){
		return this.imGroupId;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime(){
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Boolean getRecommendLevelFlag() {
		return recommendLevelFlag;
	}

	public void setRecommendLevelFlag(Boolean recommendLevelFlag) {
		this.recommendLevelFlag = recommendLevelFlag;
	}

	public Integer getStudentId() {
		return studentId;
	}

	public void setStudentId(Integer studentId) {
		this.studentId = studentId;
	}

	public Integer getLiveGoodsId() {
		return liveGoodsId;
	}

	public void setLiveGoodsId(Integer liveGoodsId) {
		this.liveGoodsId = liveGoodsId;
	}

	public Boolean getJoinFlag() {
		return joinFlag;
	}

	public void setJoinFlag(Boolean joinFlag) {
		this.joinFlag = joinFlag;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
